<?php
// $Id: stylewriter.views.inc,v 1.1 2010/10/04 20:52:01 tmcw Exp $

/**
 * @file
 * This file holds main views functions for the stylewriter module.
 *
 * @ingroup stylewriter 
 */

/**
 * Implementation of hook_views_plugins().
 */
function stylewriter_views_plugins() {
  return array(
    'module' => 'stylewriter',
    'display' => array(
      'mapfile' => array(
        'title' => t('Mapfile'),
        'help' => t('A Mapfile display'),
        'handler' => 'stylewriter_plugin_display_mapfile',
        'path' => drupal_get_path('module', 'stylewriter') .'/views',
        'uses hook menu' => FALSE,
        'use ajax' => FALSE,
        'use pager' => FALSE,
        'accept attachments' => FALSE,
        'admin' => t('Stylewriter Mapfile'),
      ),
    ),
    'style' => array(
      'mapfile' => array(
        'title' => t('Mapfile'),
        'help' => t(''),
        'handler' => 'views_plugin_style_mapfile',
        'theme' => 'stylewriter_mapfile',
        'theme path' => drupal_get_path('module', 'stylewriter') .'/views',
        'path' => drupal_get_path('module', 'stylewriter') .'/views',
        'uses fields' => TRUE,
        'uses row plugin' => FALSE,
        'uses options' => TRUE,
        'uses grouping' => TRUE,
        'type' => 'mapfile',
        'even empty' => TRUE,
      ),
      'legend' => array(
        'title' => t('Map Legend'),
        'help' => t(''),
        'handler' => 'views_plugin_style_maplegend',
        'theme' => 'stylewriter_maplegend',
        'theme path' => drupal_get_path('module', 'stylewriter') .'/views',
        'path' => drupal_get_path('module', 'stylewriter') .'/views',
        'uses fields' => TRUE,
        'uses row plugin' => FALSE,
        'uses options' => TRUE,
        'uses grouping' => TRUE,
        'type' => 'normal',
        'even empty' => TRUE,
      ),
    ),
  );
}

